com.rscja.deviceapi

## Class DeviceInfo

- java.lang.Object
- - com.rscja.deviceapi.DeviceInfo

-     public abstract class DeviceInfo
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DeviceInfo.InfoType` 枚举设备信息的类型 info type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceInfo(android.content.Context c)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `getData()`
    `abstract void` | `getDeviceInfo(DeviceInfo.InfoType type, java.lang.String values)` 获取设备信息 Get device info
    `static int` | `getDeviceType()` 获取设备类型
    `void` | `release()` 回收DeviceInfo类的资源 Receive deviceinfo class resource
    `void` | `requestGetCPUTemperature()` 请求获取CPU温度 Get CPU temperature.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceInfo

          public DeviceInfo(android.content.Context c)

  - ### Method Detail

    - #### release

          public void release()

      回收DeviceInfo类的资源
      Receive deviceinfo class resource

    - #### getDeviceInfo

          public abstract void getDeviceInfo(DeviceInfo.InfoType type,
                                             java.lang.String values)

      获取设备信息
      Get device info
      Parameters:
        `type` - InfoType的枚举
        Device info type list
        `values` - 值
        Values

    - #### requestGetCPUTemperature

          public void requestGetCPUTemperature()

      请求获取CPU温度
      Get CPU temperature.

    - #### getDeviceType

          public static int getDeviceType()

      获取设备类型
      Returns:
        1:设备类型v600, 2：设备类类型v600升级版 , 3:设备类型v600s ,4:UIS7863

    - #### getData

          public static byte[] getData()